Bug 136094 - missing return statement
missing return statement
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: cryptsetup (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-17 15:48 EDT by David Binderman
Modified: 2014-03-16 22:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-03 10:51:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-10-17 15:48:29 EDT
Description of problem:

I just tried to compile package cryptsetup-0.1-3 from package
Redhat Fedora Core 3 Test 3.

The compiler said

setup.c(55): warning #1011: missing return statement at end of
non-void function "setup_leave"

The source code is

        if (!memory_unsafe)
                munlockall();
}

Suggest add return statement at end of function.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Alasdair Kergon 2004-12-03 10:51:22 EST
Reported upstream.

Note You need to log in before you can comment on or make changes to this bug.